Bug 102935 - DHCP client ("dhclient") not stopped on pcmcia eject
DHCP client ("dhclient") not stopped on pcmcia eject
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-22 15:30 EDT by Ed Hill
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-26 23:36:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Hill 2003-08-22 15:30:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
The scripts in the kernel-pcmcia-cs package should kill the DHCP client
("dhclient") when pcmcia/cardbus networking cards are removed.

If not, re-insertion of pcmcia/cardbus network cards will lead to odd results
and intermittent networking failures since, after a few card insert/remove
sequences, multiple dhclient programs will be running and they will conflict
with each other.


Version-Release number of selected component (if applicable):
kernel-pcmcia-cs-3.1.31-13

How reproducible:
Always

Steps to Reproduce:
1. use DHCP for networking
2. insert a pcmcia/cardbus networking card (either wired or wireless) and wait
for it to establish an IP address using DHCP
3. eject the card
4. observe that the dhclient program is *STILL* running despite the network
adapter removal
5. observe that new (competing!) dhclient sessions will be spawned when any
other pcmcia/cardbus network cards are inserted
6. problems with multiple simultaneus dhclient sessions can take hours
(depending on lease times) to conflict with each other but *CONFLICT* they
will--resulting in odd network hangs--very fustrating to debug!!!

Expected Results:  dhclient should be killed when a pcmcia/cardbus network
device is removed

Additional info:

Contact Ed Hill <ed@eh3.com> if you have any further questions

Note You need to log in before you can comment on or make changes to this bug.